Subject: Re: bug#60107: 30.0.50; Open new files very slow if eglot and which-function-mode are enabled.

From: João Távora <[email-masked]>
Date: Fri, 16 Dec 2022 15:53:01 +0000

[I don't actually know if this message will go through, given the bug
is closed]

On Fri, Dec 16, 2022 at 3:45 PM Eli Zaretskii <[email-masked]> wrote:
>
>
> Thanks, so I added these hints to the doc strings of the two optioins,
> and I'm closing the bug.

Your previous comment that which-func.el could see some work
re becoming asynchronous or non-blocking still makes sense to
me.

OTOH see bug#58431 where a possible new alternate client
to Imenu's tree, whose functionality would obsolete most
of which-func's is discussed.

It probably makes more sense to invest there, so closing
this may make sense.  Just thought I'd add this note.